LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFlushableClipboard Interface Referencepublished

An interface for flushable clipboards may optionally be implemented by a system clipboard service. More...

`import"XFlushableClipboard.idl";`

Inheritance diagram for XFlushableClipboard:

## Public Member Functions
void | flushClipboard ()
| Renders the current content of the clipboard to the system so that it is available even if the source application no longer exist. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interface for flushable clipboards may optionally be implemented by a system clipboard service.

See also
  com::sun::star::datatransfer::clipboard::SystemClipboard

## Member Function Documentation

## ◆ flushClipboard()

void flushClipboard | ( |  | ) |

Renders the current content of the clipboard to the system so that it is available even if the source application no longer exist.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XFlushableClipboard.idl